Skip to main content

Add credentials to an access policy

PUT 

/api/v1/AccessControlPolicy/:policyId/Credential

Adds credentials or credential groups to a Credential based access policy and returns how many items passed and how many failed. Items already in the policy count as passed. Items whose id is not found, items sent as 2 (HostUser), and credentials of internal types such as configuration, activity token and application credentials are not added and are counted as failed.

Permission required: Administrator.

Values for entityType: 0 = Credential, 1 = CredentialGroup, 2 = HostUser.

Request​

Responses​

The result: passed (number of items changed), failed (number of items not changed) and report (a list of messages, which this route leaves empty).